Package wx :: Class MessageDialog

[frames | no frames]

## Type MessageDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                MessageDialog

This class provides a simple dialog that shows a single or multi-line message, with a choice of OK, Yes, No and/or Cancel buttons.

# Window Styles

> wx.OK | Show an OK button.
> wx.CANCEL | Show a Cancel button.
> wx.YES_NO | Show Yes and No buttons.
> wx.YES_DEFAULT | Used with wxYES_NO, makes Yes button the default - which is the default behaviour.
> wx.NO_DEFAULT | Used with wxYES_NO, makes No button the default.
> wx.ICON_EXCLAMATION | Shows an exclamation mark icon.
> wx.ICON_HAND | Shows an error icon.
> wx.ICON_ERROR | Shows an error icon - the same as wxICON_HAND.
> wx.ICON_QUESTION | Shows a question mark icon.
> wx.ICON_INFORMATION | Shows an information (i) icon.
> wx.STAY_ON_TOP | The message box stays on top of all other window, even those of the other applications (Windows only).

Method Summary
MessageDialog | ``__init__`(self, parent, message, caption, style, pos)` Constructor, use `ShowModal` to display the dialog.

Property Summary
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, caption=MessageBoxCaptionStr, style=wxOK|wxCANCEL|wxCENTRE, pos=DefaultPosition)
(Constructor)

Constructor, use `ShowModal` to display the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `caption`
    (type=String)

    `style`
    (type=long)

    `pos`
    (type=Point)

  Returns:
    MessageDialog
  Overrides:
    `wx.Dialog.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:46 2007 | http://epydoc.sf.net